Add Asset Type
curl --request POST \
--url https://api.crosoftware.com/v0/locations/{location_id}/asset_types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"category_id": 123,
"name": "<string>",
"quantity": 123,
"require_numbers": true,
"weight": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/asset_types"
payload = {
"category_id": 123,
"name": "<string>",
"quantity": 123,
"require_numbers": True,
"weight": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
category_id: 123,
name: '<string>',
quantity: 123,
require_numbers: true,
weight: '<string>'
})
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/asset_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": 123,
"is_default": true,
"location_id": 123,
"name": "<string>",
"quantity": 123,
"require_numbers": true,
"valid_trucks": [
123
],
"weight": "<string>"
}Asset Types
Add Asset Type
Add asset type.
POST
/
locations
/
{location_id}
/
asset_types
Add Asset Type
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Location identifier.
Body
application/json
Response
200 - application/json
Success
Asset type profile.
Is record deleted (soft delete).
Asset type identifier.
Is asset the default asset.
Location identifier.
Asset type name.
Asset type quantity.
Require asset numbers.
Truck identifier.
⌘I